> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get QR code content for FlexHome adoption



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/flexhome/{deviceId}/qrcode
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/flexhome/{deviceId}/qrcode:
    get:
      tags:
        - deviceId
      summary: Get QR code content for FlexHome adoption
      operationId: getV1FlexhomeByDeviceIdQrcode
      parameters:
        - in: path
          name: deviceId
          required: true
          schema:
            type: string
            format: uuid
            example: 8C1DACD1-94FE-4A6D-AC99-B4B01F482E29
      responses:
        '200':
          description: Successful response with QR code content
          content:
            application/json:
              path: /v1/logto/webhook
        '404':
          description: Device not found
          content:
            application/json:
              path: /v1/logto/webhook
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````